Name:           perl-Apache-Session
Version:        1.82
Release:        2%{?dist}
Summary:        Persistence framework for session data
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Apache-Session/
Source0:        http://www.cpan.org/authors/id/C/CH/CHORNY/Apache-Session-%{version}.tar.gz
# https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=118577, from Chris Grau
Patch0:         Apache-Session-mp2.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(DBI)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Deep) >= 0.082
BuildRequires:  perl(Test::Exception) >= 0.15
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Apache::Session is a persistence framework which is particularly useful for
tracking session data between httpd requests. Apache::Session is designed
to work with Apache and mod_perl, but it should work under CGI and other
web servers, and it also works outside of a web server altogether.

%prep
%setup -q -n Apache-Session-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 1.82-2
- BR ExtUtils::MakeMaker.

* Thu Feb 22 2007 Steven Pritchard <steve@kspei.com> 1.82-1
- Update to 1.82.
- Use fixperms macro instead of our own chmod incantation.
- Minor spec cleanup to more closely resemble current cpanspec output.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 1.81-2
- Fix find option order.

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> 1.81-1
- Update to 1.81.

* Tue Apr 11 2006 Steven Pritchard <steve@kspei.com> 1.80-1
- Update to 1.80.
- Spec cleanup.

* Thu Sep 08 2005 Steven Pritchard <steve@kspei.com> 1.6-2
- Add patch for mod_perl2 compatibility from Chris Grau (#167753, comment #3).
- Re-enable "make test".

* Wed Aug 31 2005 Steven Pritchard <steve@kspei.com> 1.6-1
- Specfile autogenerated.
